// Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers
// See the COPYRIGHT file at the top-level directory of this distribution

// Abelujo is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// Abelujo is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.
{% extends "base.html" %}

{% block auto_command_nb %} {{ auto_command_nb }} {% endblock %}

{% block pagetitle %}
{{ page_title }}
{% endblock pagetitle%}

{% block content %}

{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load humanize %}

.row
 .col-md-12
  h4
    span {% trans "Command #" %} {{ object.id }}  
    span(style="{% if object.received %} background-color: lightgreen; {% else %} background-color: red; {% endif %}")  {% if not object.received %} {% trans "ongoing" %} {% else %}{# Translators: it is about a command. In french: female noun, une commande recuE. #} {% trans "received" %} {% endif %}

.row
 .col-md-4
  table.table.table-condensed
    tbody
        tr
          td {% trans "Supplier" %}
          td
            span {{ object.supplier_name | upper }}
            if object.supplier.discount
              span ( {{ object.supplier.discount }} %)
            else
              span   ({% trans "no discount" %})

        tr
          td {% trans "Created" %}
          td {{ object.created }}

        tr
          td {% trans "Received" %}
          td
            div {{ object.date_received_label }}
            div(title='{% trans "Days between the date of creation of the command and its reception." %}') {% if object.date_received %} (+{{ object.received_delta }} {% trans "days" %}) {% endif %}

 .col-md-3
  table.table.table-condensed
    tbody
        tr
          td {% trans "Bill received" %}
          td {{ object.date_bill_received_label }}

        tr
          td {% trans "Payment sent" %}
          td {{ object.date_payment_sent_label }}

        tr
          td {% trans "Paid" %}
          td
            div {{ object.date_paid_label }}
            div(title='{% trans "Days between the date of creation of the command and the day it is paid." %}') {% if object.date_paid %} (+{{ object.paid_delta }} {% trans "days" %}) {% endif %}


 .col-md-3
  table.table.table-condensed
    tbody
        tr
          td {% trans "total value" %}
          td.text-right {{ object.total_value | floatformat:2 | intcomma }} {% trans "€" %}
        tr
          td {% trans "total value, incl. taxes" %}
          td.text-right {{ object.total_value_inctaxes | floatformat:2 | intcomma }} {% trans "€" %}
        tr
          td {% trans "nb of copies" %}
          td.text-right {{ object.nb_copies }}


.row
 .col-md-12
    form(method='GET', name="receive_parcel", action="/commands/{{object.id}}/receive", value="foo")

      button.btn.btn-primary(type="submit") {% if not object.inventory %} {% trans "Receive a parcel" %} {% else %} {% trans "See the parcel" %} {% endif %}
        i.glyphicon.glyphicon-download-alt

.row
  .col-md-12
    h4 {% trans "Cards you ordered" %}

   table.table.table-striped.table-hover
    tr
        th {% trans "Title" %}
        th.text-right {% trans "quantity" %}
        th.text-right {% trans "price" %}
        th.text-right {% trans "price" %} {% trans "excl. tax" %}
        th.text-right {% trans "price" %} {% trans "with discount" %}
        th.text-right {% trans "quantity ordered" %}
    for it in object.commandcopies_set.all
      tr
        td: a(href="{{it.card.get_absolute_url}}")  {{ it.card.title }}
        td.text-right {{ it.quantity }}
        td.text-right  {{ it.card.price | floatformat:2 | intcomma  }} {% trans "€" %}
        td.text-right  {{ it.card.price_excl_vat | floatformat:2 | intcomma }} {% trans "€" %}
        td.text-right  {{ it.card.price_discounted | floatformat:2 | intcomma }} {% trans "€" %}
        td.text-right {{ it.quantity }}


{% endblock content %}